Subject: Re: [PATCH 2/14] nes: device structures and defines

From: [email-masked]
Date: Wed, 8 Aug 2007 09:57:30 -0700

On Wed, Aug 08, 2007 at 09:46:16AM -0700, Roland Dreier wrote:

> ....
> Not mmiowb() -- that is for ordering between CPUs, eg on systems like
> Altix where PCI transactions might get reordered in the system fabric
> before reaching the PCI bus.
> 

Yes, that's right. This is a continual source of confusion. 
FWIW, Jesse Barnes documented mmiowb() in 
Documentation/DocBook/deviceiobook.tmpl 

-- 
Arthur